<?xml version="1.0" encoding="UTF-8"?>


<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
		 xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.lutao</groupId>
		<artifactId>cloud-upms</artifactId>
		<version>1.0.0</version>
	</parent>

	<artifactId>cloud-upms-biz</artifactId>
	<packaging>jar</packaging>

	<description> 通用用户权限管理系统业务处理模块</description>

	<dependencies>
		<!--upms api、model 模块-->
		<dependency>
			<groupId>com.lutao</groupId>
			<artifactId>cloud-upms-api</artifactId>
		</dependency>
		<!--日志处理-->
		<dependency>
			<groupId>com.lutao</groupId>
			<artifactId>cloud-common-log</artifactId>
			<exclusions>
				<exclusion>
					<groupId>org.springframework.security</groupId>
					<artifactId>spring-security-core</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>com.lutao</groupId>
			<artifactId>cloud-common-data</artifactId>
			<exclusions>
				<exclusion>
					<groupId>org.springframework.security</groupId>
					<artifactId>spring-security-core</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<dependency>
			<groupId>org.springframework.security</groupId>
			<artifactId>spring-security-core</artifactId>
			<version>5.7.14</version>
		</dependency>
		<dependency>
			<groupId>com.lutao</groupId>
			<artifactId>cloud-common-core</artifactId>
		</dependency>
		<!--swagger-->
		<dependency>
			<groupId>com.lutao</groupId>
			<artifactId>cloud-common-swagger</artifactId>
		</dependency>
		<!--注册中心客户端-->
		<dependency>
			<groupId>com.alibaba.cloud</groupId>
			<artifactId>spring-cloud-starter-alibaba-nacos-discovery</artifactId>
			<exclusions>
				<exclusion>
					<groupId>org.springframework.cloud</groupId>
					<artifactId>spring-cloud-starter-netflix-ribbon</artifactId>
				</exclusion>
			</exclusions>
		</dependency>
		<!-- LB 扩展 -->
		<dependency>
			<groupId>org.springframework.cloud</groupId>
			<artifactId>spring-cloud-starter-loadbalancer</artifactId>
		</dependency>
		<!--配置中心客户端-->
		<dependency>
			<groupId>com.alibaba.cloud</groupId>
			<artifactId>spring-cloud-starter-alibaba-nacos-config</artifactId>
		</dependency>
		<!--spring security 、oauth、jwt依赖-->
		<dependency>
			<groupId>com.lutao</groupId>
			<artifactId>cloud-common-security</artifactId>
		</dependency>
		<!--XSS 安全过滤-->
		<dependency>
			<groupId>com.lutao</groupId>
			<artifactId>cloud-common-xss</artifactId>
		</dependency>

		<!--支持动态路由配置 -->
		<dependency>
			<groupId>com.lutao</groupId>
			<artifactId>cloud-common-gateway</artifactId>
		</dependency>
		<!--sentinel 依赖-->
		<!--		<dependency>
                    <groupId>com.lutao</groupId>
                    <artifactId>cloud-common-sentinel</artifactId>
                </dependency>-->
		<!--路由控制-->
		<dependency>
			<groupId>com.lutao</groupId>
			<artifactId>cloud-common-gray</artifactId>
		</dependency>
		<dependency>
			<groupId>com.lutao</groupId>
			<artifactId>cloud-common-excel</artifactId>
		</dependency>
		<!--mybatis-->
		<dependency>
			<groupId>com.baomidou</groupId>
			<artifactId>mybatis-plus-boot-starter</artifactId>
			<version>3.5.2</version>
		</dependency>
		<!-- druid 连接池 -->
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>druid-spring-boot-starter</artifactId>
		</dependency>

		<!--kingbase8-->
		<!--		<dependency>-->
		<!--			<groupId>com.kingbase8</groupId>-->
		<!--			<artifactId>kingbase8</artifactId>-->
		<!--			<version>8.6.0</version>-->
		<!--		</dependency>-->
		<!--数据库-->
		<dependency>
			<groupId>mysql</groupId>
			<artifactId>mysql-connector-java</artifactId>
		</dependency>
		<!--		<dependency>-->
		<!--			<groupId>org.mariadb.jdbc</groupId>-->
		<!--			<artifactId>mariadb-java-client</artifactId>-->
		<!--			<version>3.1.4</version>-->
		<!--			<scope>runtime</scope>-->
		<!--		</dependency>-->
		<!--web 模块-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-web</artifactId>
		</dependency>
		<!--undertow容器-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-undertow</artifactId>
		</dependency>
		<!--集成logstash-->
		<dependency>
			<groupId>net.logstash.logback</groupId>
			<artifactId>logstash-logback-encoder</artifactId>
			<version>5.3</version>
		</dependency>
		<dependency>
			<groupId>com.lutao</groupId>
			<artifactId>cloud-common-job</artifactId>
		</dependency>
		<!--junit单元测试的依赖-->
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.12</version>
			<scope>test</scope>
		</dependency>
		<!--springboot做单元测试的依赖-->
		<dependency>
			<groupId>org.springframework.boot</groupId>
			<artifactId>spring-boot-starter-test</artifactId>
			<version>2.1.4.RELEASE</version>
		</dependency>
		<dependency>
			<groupId>com.dtflys.forest</groupId>
			<artifactId>forest-spring-boot-starter</artifactId>
			<version>1.5.28</version>
		</dependency>
		<dependency>
			<groupId>org.springframework.security</groupId>
			<artifactId>spring-security-core</artifactId>
		</dependency>
	</dependencies>

	<build>
		<plugins>
			<plugin>
				<groupId>org.springframework.boot</groupId>
				<artifactId>spring-boot-maven-plugin</artifactId>
			</plugin>
			<plugin>
				<groupId>io.fabric8</groupId>
				<artifactId>docker-maven-plugin</artifactId>
				<configuration>
					<skip>false</skip>
				</configuration>
			</plugin>
		</plugins>
	</build>

</project>
